package com.ankaibei.workFlow.webadmin.ankaibei.api;


import com.ankaibei.workFlow.webadmin.ankaibei.utils.ApiMixin;
import com.ankaibei.workFlow.webadmin.ankaibei.vo.CostInfoVo;
import com.ankaibei.workFlow.webadmin.ankaibei.vo.ResMsg;
import com.ankaibei.workFlow.webadmin.ankaibei.vo.UserInfoVo;

import java.util.List;

/**
 * @author
 * @version 1.0
 * @description:
 * @date 2022/9/26 14:44
 */
public interface CostInFoApi extends ApiMixin<CostInfoVo, Integer> {

    ResMsg findCostInfoAll(CostInfoVo costInfoVo);

    boolean deleteCostInfo(List<CostInfoVo> costInfoVoVos);

    ResMsg updateCostInfo(CostInfoVo costInfoVo);

    ResMsg findCostInfoDetails(CostInfoVo costInfoVo);

    ResMsg findProjectAuditList(String id, UserInfoVo userInfoVo);
}
